身份提供商已被占用
出现此问题时,API 会返回 409 Conflict,其中 type 为 https://lingo.dev/docs/api/errors/sso-identity-provider-taken。所有错误的通用结构请参阅错误和状态码。
某个身份提供商已在组织 <organizationId> 的元数据中注册于其他位置。请联系 Lingo.dev 支持团队进行迁移。
字段#
除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自己的文本。
| 字段 | 类型 |
|---|---|
organizationId | string |
示例#
json
{
"detail": "An identity provider already registered elsewhere in the metadata at organization <organizationId>. Contact Lingo.dev support to move it.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/sso-identity-provider-taken",
"status": 409,
"title": "Identity provider taken"
}返回此错误的端点#
PUT /v2/organizations/{orgId}/sso